# IdeaDependency

interface IdeaDependency : Dependency

IDEA dependency.

#### Since

1.0-milestone-5

#### Inheritors

IdeaModuleDependency
IdeaSingleEntryLibraryDependency

## Functions

getExported
Link copied to clipboard
abstract fun getExported(): Boolean
Allows to check if current dependency is transitive, i.e.
getScope
Link copied to clipboard
abstract fun getScope(): IdeaDependencyScope
scope of the current dependency.